Bug 125130 - [Update] games/wormux: to 0.8
Summary: [Update] games/wormux: to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-01 02:10 UTC by Martin Wilke
Modified: 2008-07-18 00:30 UTC (History)
1 user (show)

See Also:


Attachments
wormux-0.8.patch (39.58 KB, patch)
2008-07-01 02:10 UTC, Martin Wilke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke freebsd_committer 2008-07-01 02:10:01 UTC
- Update to 0.8

Changelog since last stable release:

    * Network game (port 3826 is registred by IANA for Wormux)
    * A lot of bug fixes (memory leaks, useless code deleted ...)
    * 15 new maps
    * New weapons: Flamethrower, Football bomb, Cluzooka
    * Minimap preview
    * Camera improvements
    * Better use of anti-aliasing
    * Water/lava particles added
    * Various graphical improvements
    * Sound cache: no more lag on explosion
    * More sounds and musics
    * Better characters: Better positions, characters' eyes follow cursor,...
    * Weapons tweaking
    * Smaller step in angle selection when pressing Shift
    * Menus compatible with smallest resolutions
    * Help section added (menu explaining shortkeys and howtoplay.pdf documentation provided)
    * Language selection
    * "Looking for updates" option
    * Volume control option
    * Joystick support
    * Improve collision detection, cursor,...
    * User dir as XDG recommandation (Freedesktop)
    * Initial management of command line options
    * Experimental random map generator and skin viewer
    * AI improvements (still stupid so still hidden feature)

Build is tested under i386/amd64:

http://head.miwibox.org/tb/index.php?action=describe_port&id=1130
http://tb.miwibox.org/index.php?action=describe_port&id=1067

Thanks to Marcel Felix for network testing/playing :-)


Added file(s):
- files/patch-configure

Removed file(s):
- files/extra-patch-src-weapon-ninja_rope.cpp
- files/patch-Makefile.am

Port maintainer (toha@toha.org.ua) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-01 02:10:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-07-01 02:10:31 UTC
Maintainer of games/wormux,

Please note that PR ports/125130 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125130

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-07-01 02:10:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2008-07-18 00:27:28 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2008-07-18 00:27:28 UTC
miwi        2008-07-17 23:27:14 UTC

  FreeBSD ports repository

  Modified files:
    games/wormux         Makefile distinfo pkg-plist 
  Added files:
    games/wormux/files   patch-configure 
  Removed files:
    games/wormux/files   extra-patch-src-weapon-ninja_rope.cpp 
                         patch-Makefile.am 
  Log:
  - Update to 0.8
  
  PR:             125130
  Submitted by:   miwi
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.15      +5 -4      ports/games/wormux/Makefile
  1.6       +3 -3      ports/games/wormux/distinfo
  1.2       +0 -11     ports/games/wormux/files/extra-patch-src-weapon-ninja_rope.cpp (dead)
  1.2       +0 -11     ports/games/wormux/files/patch-Makefile.am (dead)
  1.1       +11 -0     ports/games/wormux/files/patch-configure (new)
  1.6       +382 -117  ports/games/wormux/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"